Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		cpptest
#Epoch:		0
Version:	1.1.1
Release:	1
License:	GNU/LGPL
URL:		http://cpptest.sourceforge.net/
Group:		System/Libraries
Summary:	C++ unit testing framework
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config

%description
CppTest is a portable and powerful, yet simple, unit testing framework for handling automated tests in C++. The focus lies on usability and extendability. Several output formats are supported and new ones are easily added. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libcpptest.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/cpptest-assert.h
%{_includedir}/cpptest-collectoroutput.h
%{_includedir}/cpptest-compileroutput.h
%{_includedir}/cpptest.h
%{_includedir}/cpptest-htmloutput.h
%{_includedir}/cpptest-output.h
%{_includedir}/cpptest-source.h
%{_includedir}/cpptest-suite.h
%{_includedir}/cpptest-textoutput.h
%{_includedir}/cpptest-time.h
%{_libdir}/libcpptest.a
%{_libdir}/libcpptest.la
%{_libdir}/libcpptest.so
%{_pkgconfig}/libcpptest.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- initial CCux package release
